% Jerome Belleman <Jerome.Belleman@iutbm.ch>, March 2015

% The size and position of graphical elements was rigorously computed/measured.
% That of text not so much as I kept the default Beamer font, so I just
% overlaid the official template to reach a result that's perceivably close.

\mode<presentation>

\usepackage{cmbright}

\newcommand{\fullframegraphic}[1]{
\includegraphics[height=\textheight,width=\textwidth,keepaspectratio]{#1}
}

\newif\ifbeamer@iutbm@cover
\beamer@iutbm@coverfalse

\newlength{\titlelf}
\setlength{\titlelf}{-9pt}

\usefonttheme{iutbm}
\usecolortheme{iutbm}
\useinnertheme{iutbm}
\useoutertheme{iutbm}
%\usecolortheme{whale}
%\usecolortheme{orchid}
%\useinnertheme[shadow]{rounded}
%\useoutertheme{infolines}

\pgfdeclareimage[width=100pt]{frontlogo}{icon_iutbm_informatique}
\pgfdeclareimage[width=62pt]{backlogo}{icon_iutbm_informatique}

\setbeamertemplate{footline}[iutbm]

	
\newcommand{\frontcover}{
	\beamer@iutbm@covertrue
	{
		\setbeamercolor{background canvas}{bg=iutbm}
	}
	\beamer@iutbm@coverfalse
}

\newcommand{\backcover}{
	\beamer@iutbm@covertrue
	{
		\setbeamercolor{background canvas}{bg=iutbm}
		\frame{
			\vspace{105pt}
			\centerline{\pgfuseimage{backlogo}}
			\vspace{76pt}
			\centerline{%
				\scriptsize\color{iutbm!50!white}\href{http://home.iutbm}{home.iutbm}
				}
			}
		}
		\beamer@iutbm@coverfalse
	}

	\mode
	<all>
